Package javassist.bytecode

# Class CodeAttribute.RuntimeCopyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javassist.bytecode.CodeAttribute.RuntimeCopyException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CodeAttribute`

public static class CodeAttribute.RuntimeCopyException extends RuntimeException
An exception that may be thrown by `copy()` in `CodeAttribute`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RuntimeCopyException(String s)`
Constructs an exception.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RuntimeCopyException

public RuntimeCopyException(String s)
Constructs an exception.